# Requires Borland Make utility

.autodepend # Header file dependencies

CC	= bcc32 -c
LINKER  = bcc32		
CFLAGS  = 

# General rules

.cpp.obj:
	$(CC) $(CFLAGS) $<

# Default

help:
	@echo  Arageli by Nikolai Yu. Zolotykh
	@echo    version for Borland C++ 5.5 without asm code

# Executables

all:  testbg.exe testbig.exe testbio.exe

testbg.exe: testbg.obj bigarith.obj bigar.obj
	$(LINKER) testbg.obj bigarith.obj bigar.obj

testbig.exe: testbig.obj bigarith.obj bigar.obj
	$(LINKER) testbig.obj bigarith.obj bigar.obj

testbio.exe: testbio.obj bigarith.obj bigar.obj
	$(LINKER) testbio.obj bigarith.obj bigar.obj


clean:
        @del bigar.obj
        @del bigarith.obj
        @del testbg.obj
        @del testbg.tds
        @del testbig.obj
        @del testbig.tds
        @del testbio.obj
        @del testbio.tds 

cleanall: clean
	@del testbg.exe
	@del testbig.exe
	@del testbio.exe

new:      cleanall all


