# Requires Borland Make utility

.autodepend # Header file dependencies for BORLAND make utility

CC = wpp386
LINKER  = wlink    
CFLAGS  =      	   

# General rules

.cpp.obj:
	$(CC) $(CFLAGS) $<

# Default

help:
	@echo  Arageli by Nikolai Yu. Zolotykh
	@echo    version for Watcom C++ (Win32) witout asm code

# Executables

all:  testbg.exe testbig.exe testbio.exe

testbg.exe: testbg.obj bigarith.obj bigar.obj
        $(LINKER) name testbg file testbg.obj, bigarith.obj, bigar.obj

testbig.exe: testbig.obj bigarith.obj bigar.obj
        $(LINKER) name testbig file testbig.obj, bigarith.obj, bigar.obj

testbio.exe: testbio.obj bigarith.obj bigar.obj
        $(LINKER) name testbio file testbio.obj, bigarith.obj, bigar.obj

clean:
        @del bigarith.obj
        @del bigar.obj
        @del testbg.obj
        @del testbig.obj
        @del testbio.obj
        @del testbg.err
        @del testbig.err
        @del testbio.err

cleanall: clean
	@del testbg.exe
	@del testbig.exe
	@del testbio.exe

new:      cleanall all


